<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">

 <xsl:import href="theme.xsl"/>
 <xsl:output method="html" encoding="ascii"/>
 <xsl:param name="date">today</xsl:param>

 <!-- build page -->
 <xsl:template match="/stats">
  <xsl:call-template name="stats"/>
  <xsl:call-template name="date"/>
 </xsl:template>

 <!-- print statistics -->
 <xsl:template name="stats">
  <center>
   <h1><font color="{$title-color}">Statistiques</font></h1>
   <table width="90%" border="1" cellpadding="10" cellspacing="0">
    <!-- print column headers -->
    <tr>
     <td bgcolor="{$table-header-bg-color}">
      <font color="{$table-header-color}"><b>Document</b></font>
     </td>
     <td bgcolor="{$table-header-bg-color}" align="center">
      <font color="{$table-header-color}"><b>Hits</b></font>
     </td>
    </tr>
    <!-- print stats for index page -->
    <tr>
     <td bgcolor="{$table-bg-color1}">
      <font color="{$text-color}">Index</font>
     </td>
     <td bgcolor="{$table-bg-color1}" align="center">
      <img src="http://www.sdv.fr/cgi/gene/counter/nph-count?width=5&amp;link=casa/index.html" alt="Counter" border="0"/>
     </td>
    </tr>
    <!-- print stats for weblog -->
    <tr>
     <td bgcolor="{$table-bg-color2}">
      <font color="{$text-color}">Weblog</font>
     </td>
     <td bgcolor="{$table-bg-color2}" align="center">
      <img src="http://www.sdv.fr/cgi/gene/counter/nph-count?width=5&amp;link=casa/html/weblog.html" alt="Counter" border="0"/>
     </td>
    </tr>
    <!-- print stats for pages -->
    <xsl:for-each select="/stats/page|/stats/article">
     <xsl:sort select="title" order="ascending"/>
     <tr>
      <xsl:choose>
       <xsl:when test="position() mod 2=1">
	<td bgcolor="{$table-bg-color1}">
	 <font color="{$text-color}"><xsl:value-of select="title"/>
	  <xsl:if test="contains(./@id,'.doc')">
	   - Documentation
	  </xsl:if>
	  <xsl:if test="contains(./@id,'.en')">
	   - English
	  </xsl:if>
	 </font>
	</td>
	<td bgcolor="{$table-bg-color1}" align="center">
	 <img src="http://www.sdv.fr/cgi/gene/counter/nph-count?width=5&amp;link=casa/html/{./@id}.html" alt="Counter" border="0"/>
	</td>
       </xsl:when>
       <xsl:otherwise>
	<td bgcolor="{$table-bg-color2}">
	 <font color="{$text-color}"><xsl:value-of select="title"/>
	  <xsl:if test="contains(./@id,'.doc')">
	   - Documentation
	  </xsl:if>
	  <xsl:if test="contains(./@id,'.en')">
	   - English
	  </xsl:if>
	 </font>
	</td>
	<td bgcolor="{$table-bg-color2}" align="center">
	 <img src="http://www.sdv.fr/cgi/gene/counter/nph-count?width=5&amp;link=casa/html/{./@id}.html" alt="Counter" border="0"/>
	</td>
       </xsl:otherwise>
      </xsl:choose>
     </tr>
    </xsl:for-each>
   </table>
  </center>
 </xsl:template>

 <!-- print last update date -->
 <xsl:template name="date">
  <hr noshade="true" size="1"/>
  <font size="-1">
   Dernire mise  jour&#160;: <xsl:value-of select="$date"/>
  </font>
 </xsl:template>

</xsl:stylesheet>
